Bug 49384 - NavigationPage.BarTextColorProperty not working with FormsApplicationActivity in API 21+
Summary: NavigationPage.BarTextColorProperty not working with FormsApplicationActivity...
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Android (show other bugs)
Version: 2.3.3
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-12-08 21:09 UTC by Jimmy [MSFT]
Modified: 2017-07-05 09:26 UTC (History)
6 users (show)

Tags: ac
Is this bug a regression?: ---
Last known good build:


Attachments
repro project (78.15 KB, application/zip)
2016-12-08 21:09 UTC, Jimmy [MSFT]
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Jimmy [MSFT] 2016-12-08 21:09:34 UTC
Created attachment 18838 [details]
repro project

### Overview
When using FormsApplicationActivity in API 21+, NavigationPage.BarTextColorProperty does not work and the text color is always the default.


### Steps to Reproduce
1. Run the attached Android project


### Expected Results 
The navigation bar text color will be lime


### Actual Results
The text is white


### Testing Info
Tested with Forms 2.3.3.175
Comment 1 Jimmy [MSFT] 2016-12-09 22:55:25 UTC
See PR: https://github.com/xamarin/Xamarin.Forms/pull/631
Comment 2 Rui Marinho 2017-03-03 12:31:47 UTC
Should be fixed in 2.3.5-pre1
Comment 3 Saurabh Paunikar 2017-07-05 09:26:47 UTC
Verified on xamarin.form version 2.3.5.256-pre6

ScreenCast : https://www.screencast.com/t/8Fx1nPHnAR